package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.IndexconfigIcon;

/**
 * 工作台图标Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public interface IndexconfigIconMapper 
{
    /**
     * 查询工作台图标
     * 
     * @param id 工作台图标主键
     * @return 工作台图标
     */
    public IndexconfigIcon selectIndexconfigIconById(Long id);

    /**
     * 查询工作台图标列表
     * 
     * @param indexconfigIcon 工作台图标
     * @return 工作台图标集合
     */
    public List<IndexconfigIcon> selectIndexconfigIconList(IndexconfigIcon indexconfigIcon);

    /**
     * 新增工作台图标
     * 
     * @param indexconfigIcon 工作台图标
     * @return 结果
     */
    public int insertIndexconfigIcon(IndexconfigIcon indexconfigIcon);

    /**
     * 修改工作台图标
     * 
     * @param indexconfigIcon 工作台图标
     * @return 结果
     */
    public int updateIndexconfigIcon(IndexconfigIcon indexconfigIcon);

    /**
     * 删除工作台图标
     * 
     * @param id 工作台图标主键
     * @return 结果
     */
    public int deleteIndexconfigIconById(Long id);

    /**
     * 批量删除工作台图标
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIndexconfigIconByIds(Long[] ids);

    /**
     * 根据identity查询图标信息
     * @param identity
     * @return
     */
    IndexconfigIcon getIndexconfigIconByIdentity(Long identity);
}
